> ## Documentation Index
> Fetch the complete documentation index at: https://docs.awazindia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Campaign Contact List

> Returns all campaign's audiences from the system that the user has access to



## OpenAPI

````yaml POST /campaign/audiences?id={id}
openapi: 3.1.0
info:
  title: AwazIndia API
  description: >-
    A sample API that uses a campaign store as an example to demonstrate
    features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.awazindia.ai/api/v1
security:
  - apiKeyAuth: []
paths:
  /campaign/audiences?id={id}:
    post:
      description: >-
        Returns all campaign's audiences from the system that the user has
        access to
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The ID of the campaign to get audiences
      responses:
        '200':
          description: Campaign audiences response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Audiences'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Audiences:
      type: object
      properties:
        first_name:
          description: First name
          type: string
        last_name:
          description: Last name
          type: string
        description:
          description: Description
          type: string
        phone:
          description: phone number
          type: string
        status:
          description: Status
          type: string
        call_duration_in_sec:
          description: Call duration in second
          type: string
        call_sentiment:
          description: Call sentiment
          type: string
        calltranscribe:
          description: Call transcribe
          type: string
        is_call_transferred:
          description: Call transferred action
          type: boolean
        is_meeting_scheduled:
          description: Meeting scheduled action
          type: boolean
        is_message_sent:
          description: Message sent action
          type: boolean
        recording_url:
          description: Recording url
          type: string
        error:
          description: Error
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````